## NMSettingLink

NMSettingLink — Contains properties related to the link

## Functions

NMSetting * | nm_setting_link_new ()
gint64 | nm_setting_link_get_tx_queue_length ()
gint64 | nm_setting_link_get_gso_max_size ()
gint64 | nm_setting_link_get_gso_max_segments ()
gint64 | nm_setting_link_get_gro_max_size ()

## Types and Values

#define | NM_SETTING_LINK_SETTING_NAME
#define | NM_SETTING_LINK_TX_QUEUE_LENGTH
#define | NM_SETTING_LINK_GSO_MAX_SIZE
#define | NM_SETTING_LINK_GSO_MAX_SEGMENTS
#define | NM_SETTING_LINK_GRO_MAX_SIZE

## Includes

    #include <nm-setting-link.h>

## Description

## Functions

### nm_setting_link_new ()

    NMSetting *
    nm_setting_link_new (void);

Creates a new NMSettingLink object with default values.

#### Returns

the new empty NMSettingLink object.

[transfer full]

Since: 1.44

### nm_setting_link_get_tx_queue_length ()

    gint64
    nm_setting_link_get_tx_queue_length (NMSettingLink *setting);

Returns the value contained in the “tx-queue-length” property.

#### Parameters

setting | the NMSettingLink |

#### Returns

the 'tx-queue-length' property value

Since: 1.44

### nm_setting_link_get_gso_max_size ()

    gint64
    nm_setting_link_get_gso_max_size (NMSettingLink *setting);

Returns the value contained in the “gso-max-size” property.

#### Parameters

setting | the NMSettingLink |

#### Returns

the 'gso-max-size' property value

Since: 1.44

### nm_setting_link_get_gso_max_segments ()

    gint64
    nm_setting_link_get_gso_max_segments (NMSettingLink *setting);

Returns the value contained in the “gso-max-segments” property.

#### Parameters

setting | the NMSettingLink |

#### Returns

the 'gso-max-segments' property value

Since: 1.44

### nm_setting_link_get_gro_max_size ()

    gint64
    nm_setting_link_get_gro_max_size (NMSettingLink *setting);

Returns the value contained in the “gro-max-size” property.

#### Parameters

setting | the NMSettingLink |

#### Returns

the 'gro-max-size' property value

Since: 1.44

## Types and Values

### NM_SETTING_LINK_SETTING_NAME

    #define NM_SETTING_LINK_SETTING_NAME "link"

### NM_SETTING_LINK_TX_QUEUE_LENGTH

    #define NM_SETTING_LINK_TX_QUEUE_LENGTH  "tx-queue-length"

### NM_SETTING_LINK_GSO_MAX_SIZE

    #define NM_SETTING_LINK_GSO_MAX_SIZE     "gso-max-size"

### NM_SETTING_LINK_GSO_MAX_SEGMENTS

    #define NM_SETTING_LINK_GSO_MAX_SEGMENTS "gso-max-segments"

### NM_SETTING_LINK_GRO_MAX_SIZE

    #define NM_SETTING_LINK_GRO_MAX_SIZE     "gro-max-size"